Subject: bug#62958: [PATCH] Set PAGER=cat in comint.el

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 May 2023 19:59:35 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 09 May 2023 12:53:24 -0400
> 
> > OK, but what's the purpose of the addition you were proposing?  It
> > basically says that sometimes paging should not be disabled, but since
> > this is a defcustom, and the default is not to disable paging, that
> > already speaks volumes about the same issue, right?
> 
> My addition says:
> - sometimes paging should not be disabled (for programs like "git log")
> - but if you're going to disable it anyway, commands like `vc-print-log'
>   become more useful (because it's an alternative to "git log")
> 
> The purpose of the addition is to communicate the second part.  (And
> since I think the primary way most people will encounter this is through
> "git log", I think it's worth mentioning `vc-print-log' specifically)

I'm asking why this is not already obvious from the fact that this is
a defcustom, by default off.  All your addition says is "don't disable
paging in all cases, sometimes it can be useful".  But we already said
that, in effect, by making the paging enabled by default.  So there's
no reason to have that text, as it isn't instrumental, and doesn't add
anything.